Subject: [Spridgets] Anyone want a cutting torch (No LBC)

From: "Richard Ball" <[email-masked]>
Date: Fri, 22 Feb 2013 10:36:58 -0800

I have an older National brand type 400 cutting torch, free for the cost of 
shipping, to whoever can use it.  The valves are stiff but probably 
repairable, the lever seems to work.  It was headed to the recycle bin and I 
just thought it would be shame to see it melted down.  I already have a 
cutting torch, so I thought someone here might want it.  If no one here 
wants it I'll offer it up on Garage Journal.

Here are a couple shots of it.

http://s169.beta.photobucket.com/user/fish_surgeon/media/IMG_2841.jpg.html
http://s169.beta.photobucket.com/user/fish_surgeon/media/IMG_2840.jpg.html

Rich Ball
'76 Midget
Everett, WA 
------------------------

[email-masked]

Archive: http://www.team.net/archive